package com.java2s.common;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToOne;
import javax.persistence.TableGenerator;

@Entity
public class Person {
  @TableGenerator(name = "Address_Gen", table = "ID_GEN", pkColumnName = "GEN_NAME", valueColumnName = "GEN_VAL", pkColumnValue = "Addr_Gen", initialValue = 10000, allocationSize = 100)
  @Id
  @GeneratedValue(strategy = GenerationType.TABLE, generator = "Address_Gen")

  private long id;
	 
	private String name;
  @OneToOne
  private Department department;
	
  public Person() {}

	public Person(String name) {
		this.name = name;
	}


  public Department getDepartment() {
    return department;
  }

  public void setDepartment(Department department) {
    this.department = department;
  }

  public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

  @Override
  public String toString() {
    return "Person [id=" + id + ", name=" + name + "]";
  }

}